﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Bonhomme01
{
    class Bonhomme : Rectangle
    {
        public Jambe jambe1, jambe2;
        Jambe bras1, bras2;
        Cercle tete;
        int flag = 0;
        public Bonhomme(PictureBox hebergeur, Point origine, int Lhorizontal, int Lvertical) : base(hebergeur, new Point(origine.X, origine.Y+Lhorizontal), Lhorizontal, Lvertical)
        {
            tete = new Cercle(hebergeur, origine, Lhorizontal, Lhorizontal);
            tete.fond = Color.Pink;
            origine = new Point(origine.X, origine.Y + Lhorizontal);
            jambe1 = new Jambe(hebergeur, new Point(origine.X + 4*(Lhorizontal / 10), origine.Y + Lvertical), (Lhorizontal / 5), Lvertical);
            jambe2 = new Jambe(hebergeur, new Point(origine.X + 4*(Lhorizontal / 10), origine.Y + Lvertical), (Lhorizontal / 5), Lvertical);
            bras1 = new Jambe(hebergeur, new Point(origine.X + 4 * (Lhorizontal / 10), origine.Y + Lvertical/5), (Lhorizontal / 5), Lvertical);
            bras2 = new Jambe(hebergeur, new Point(origine.X + 4 * (Lhorizontal / 10), origine.Y + Lvertical/5), (Lhorizontal / 5), Lvertical);
            bras1.Fond = Color.Blue;
            bras2.Fond = Color.Blue;
        }

        public new void Afficher(IntPtr handle)
        {
            base.Afficher(handle);
            jambe1.Afficher(handle);
            jambe2.Afficher(handle);
            bras1.Afficher(handle);
            bras2.Afficher(handle);
            tete.Afficher(handle);
        }
        public new void Cacher(IntPtr handle)
        {
            base.Cacher(handle);
            jambe1.Cacher(handle);
            jambe2.Cacher(handle);
            bras1.Cacher(handle);
            bras2.Cacher(handle);
            tete.Cacher(handle);
        }
        public void Bouger(int x, int y, Jambe.AngleJambe angleJambe1, Jambe.AngleJambe angleJambe2)
        {
            if(flag == 0)
                jambe1.angleJambe = angleJambe1;
            flag = 2;
            if (jambe1.angleJambe.AngleBassin == 0 && jambe2.angleJambe.AngleBassin == 0 || 1==1)
            {
                //jambe1.Monter(1);
                jambe1.Avancer(10);
               // jambe1.Avancer(10);
               // jambe1.Avancer(10);
            }
            else if (jambe1.angleJambe.AngleBassin != 0 && jambe2.angleJambe.AngleBassin == 0 && 1==2)
            {
                jambe1.angleJambe.AngleBassin -= 25;
                jambe1.angleJambe.AngleCheville -= 25;
                jambe1.angleJambe.AngleGenou -= 25;
                jambe2.angleJambe.AngleBassin = 1;
            }
            else
            {

            }
            /*base.Origine = new Point(base.Origine.X+x, base.Origine.Y+y);
            jambe1.Origine = new Point(jambe1.Origine.X + x, jambe1.Origine.Y + y);
            jambe1.CentrerPointOrigine();
            jambe1.angleJambe = angleJambe1;

            jambe2.Origine = new Point(jambe2.Origine.X + x, jambe2.Origine.Y + y);
            jambe2.CentrerPointOrigine();
            jambe2.angleJambe = angleJambe2;
            bras1.Origine = new Point(bras1.Origine.X + x, bras1.Origine.Y + y);
            bras2.Origine = new Point(bras2.Origine.X + x, bras2.Origine.Y + y);
            bras1.angleJambe = angleJambe1;
            bras2.angleJambe = angleJambe2;
            bras1.CentrerPointOrigine();
            bras2.CentrerPointOrigine();
            tete.Origine = new Point(tete.Origine.X + x, tete.Origine.Y + y);*/
        }
    }
}
